%define corename eina
Name:           libeina
Version:        1.7.8
Release:        1%{?dist}
Summary:        Data Type Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl/eina
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libjpeg-devel zlib-devel pkgconfig doxygen
Obsoletes:      eina = 0.0.1

%description
Eina is a data type library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-ememoa --enable-mempool-chained-pool --enable-mempool-buddy --enable-mempool-pass-through --enable-mempool-fixed-bitmap --enable-amalgamation
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/%{corename}
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{corename}.pc


%changelog
* Wed Nov 03 2010 Vasile Chelban <vchelban@fedoramd.org> 1.0.0-1
- first stable release

* Tue Mar 02 2010 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.063-7
- bump version to override Fedora libeina update

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.9.9.063-1
- version bump

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.0.2.061-1
- version bump

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.0.1-2
- renamed to libeina, because of package name conflict

* Sun Feb 15 2009 Chelban Vasile <vchelban@fedoramd.org> 0.0.1-1
- Initial specfile for eina
